#初回起動時、ログ保存用のファルダ、ファイルを作成
$shell = New-Object -ComObject Shell.Application
$downloadFolder = $shell.NameSpace("shell:downloads").Self.Path
$archpath = $downloadFolder + "\chromedriver_win32"
$log_file = $archpath + "\chromedriver_downloadlog.txt"
if (-Not(Test-Path $archpath)) {
    New-Item $archpath -Type Directory
    New-Item $log_file}
$date = Get-Date -Format "yyyy年MM月dd日"
$output_date = "`r`n$date"

#GoogleChromeのexeファイルディレクトリー設定
$googlechrm = $shell.NameSpace("shell:ProgramFiles").Self.Path + "\Google\Chrome\Application\chrome.exe"
if (-Not(Test-Path $googlechrm)) {
    $googlechrm = $shell.NameSpace("shell:ProgramFilesX86").Self.Path + "\Google\Chrome\Application\chrome.exe"
}
$chromedirstr = "Chrome_directory: " + $googlechrm

#ChromeDriverのexeファイルディレクトリー設定
$driverpath = $env:LOCALAPPDATA + "\SeleniumBasic\"
if (-Not(Test-Path $driverpath)) {
    $driverpath = $shell.NameSpace("shell:ProgramFiles").Self.Path + "\SeleniumBasic\"
}
$driverdirstr = "ChromeDriver_directory: " + $driverpath#echo $driverdirstr >> $log_file

#GoogleChromeの現バージョン確認
$ChromeVersion = (get-item ($googlechrm)).VersionInfo.FileVersion
$latest = $ChromeVersion.Split(".")
$MjLatest = $latest[0]
$ChromeVerionstr = "ChromeVersion: " + $ChromeVersion

#現バージョンに合致したchromedriverのダウンロード
$str = "https://chromedriver.storage.googleapis.com/index.html?path=" + $MjLatest + "*"
$response = Invoke-WebRequest -Uri "https://chromedriver.chromium.org/downloads" -UseBasicParsing
$links = $response.Links | Where-Object {$_.href -like $str} | Select-Object -ExpandProperty href
#該当リンクがなければ終了
if ($links.Count -le 0) {
    $CurrentDir = Split-Path $MyInvocation.MyCommand.path
    . $CurrentDir\testing_chromedriver_get.ps1  #testing_chromedriver_get.ps1の呼び出し
    exit
}else{
    echo $output_date >> $log_file
    echo $chromedirstr >> $log_file
    echo $driverdirstr >> $log_file
    echo $ChromeVerionstr >> $log_file

    $targetUrl = $links[0].Replace("index.html?path=", "") + "chromedriver_win32.zip"
    $outputstr = "DownloadLink: " + $targetUrl
    echo $outputstr >> $log_file

    $savepath = $downloadFolder + "\chromedriver_win32.zip"
    Invoke-WebRequest $targetUrl -OutFile $savepath

    #ZIPファイル解凍
    $archpath = $downloadFolder + "\chromedriver_win32"
    Expand-Archive -Path $savepath -DestinationPath $archpath -Force

    #ファイルコピー
    $copypath = $downloadFolder + "\chromedriver_win32\chromedriver.exe"
    Copy-Item -Path $copypath -Destination $driverpath -Force

}