#https://ottfoekst.com/call-webapi-with-windows-powershell/1687/

$archpath = $downloadFolder + "\chromedriver-testing"
$date = Get-Date -Format "yyyy年MM月dd日"
$output_date = "`r`n$date"
$log_file = $archpath + "\chromedriver_downloadlog.txt"
if (-Not(Test-Path $archpath)) {
    New-Item $archpath -Type Directory
    New-Item $log_file}
$date = Get-Date -Format "yyyy年MM月dd日"
$output_date = "`r`n$date"
echo $output_date >> $log_file

#ChromeDriverのexeファイルディレクトリー設定
$driverpath = $env:LOCALAPPDATA + "\SeleniumBasic\"
if (-Not(Test-Path $driverpath)) {
    $driverpath = $shell.NameSpace("shell:ProgramFiles").Self.Path + "\SeleniumBasic\"
}
$chromedirstr = "Chrome_directory: " + $googlechrm
echo $chromedirstr >> $log_file

#GoogleChromeのexeファイルディレクトリー設定
$googlechrm = $shell.NameSpace("shell:ProgramFiles").Self.Path + "\Google\Chrome\Application\chrome.exe"
if (-Not(Test-Path $googlechrm)) {
    $googlechrm = $shell.NameSpace("shell:ProgramFilesX86").Self.Path + "\Google\Chrome\Application\chrome.exe"
}
$driverdirstr = "ChromeDriver_directory: " + $driverpath
echo $driverdirstr >> $log_file

#GoogleChromeの現バージョン確認
#https://qiita.com/p1nk5p1der/items/fe7d076b061bd8396af9
$ChromeVersion = (get-item ($googlechrm)).VersionInfo.FileVersion
$latest = $ChromeVersion.Split(".")
$MjLatest = $latest[0] + '.' + $latest[1] + '.' + $latest[2] + '.'
#$MjLatest
$ChromeVerionstr = "ChromeVersion: " + $ChromeVersion
echo $ChromeVerionstr >> $log_file

$str = "https://googlechromelabs.github.io/chrome-for-testing/known-good-versions-with-downloads.json"
$response = Invoke-WebRequest -Uri $str -UseBasicParsing
#$jsondata = ConvertFrom-Json $response.Content | ConvertTo-Json
$jsondata = ConvertFrom-Json $response
$latestVersion = $jsondata.versions | Where-Object {$_.version -like "$MjLatest*"}
$targetUrl = $latestVersion[-1].downloads.chromedriver.url[3]

$downloadFolder = $shell.NameSpace("shell:downloads").Self.Path
$savepath = $downloadFolder + "\chromedriver-win32.zip"
#echo $savepath
Invoke-WebRequest $targetUrl -OutFile $savepath

#ZIPファイル解凍
#$archpath = $downloadFolder
Expand-Archive -Path $savepath -DestinationPath $archpath -Force

#ファイルコピー
$copypath = $downloadFolder + "\chromedriver-testing\chromedriver-win32\chromedriver.exe"
Copy-Item -Path $copypath -Destination $driverpath -Force




